eth_getBalance - opBNB

Example code for the eth_getBalance JSON-RPC method. Сomplete guide on how to use eth_getBalance JSON-RPC in GetBlock.io Web3 documentation.

This method returns the BNB balance of the given account on opBNB, in wei. Divide by 10¹⁸ to obtain BNB. This is the standard method for displaying wallet balances and validating sufficient funds.

Parameters

Parameter
Type
Required
Description

address

string

Yes

20-byte address to check for balance

blockParameter

string

Yes

Block number in hex, or "latest", "earliest", "pending", "safe", "finalized"

Request Example

curl --location --request POST 'https://go.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
    "jsonrpc": "2.0",
    "method": "eth_getBalance",
    "params": [
        "0x9e7c5e3e3a3b8e1aa0e2d4c7f9d4b0c8b8d5f1a2",
        "latest"
    ],
    "id": "getblock.io"
}'

Response Example

Response Parameters

Field
Type
Description

result

string

Account balance in wei (hexadecimal)

Use Cases

  • Wallet balance displays

  • Pre-flight funds check before submitting transactions

  • Portfolio tracking applications

  • DeFi protocol balance monitoring

Error Handling

Status Code
Error Message
Cause

403

Forbidden

Missing or invalid <ACCESS-TOKEN>

-32602

Invalid params

Request parameters are missing or malformed

-32601

Method not found

The method is not supported by this node

429

Too Many Requests

Rate limit exceeded for your plan

SDK Integration

Last updated

Was this helpful?